%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Text = PCL_Curve_Create_2P(Location_1, Location_2)

% Счетчик db_Next_Curve_Number обновляется вне данной функции после ее вызова

global asm_line_2point_created_ids;
global db_Next_Curve_Number;

global DB_NODES;
global AT_NODES;

if (asm_line_2point_created_ids == 0)
    
    asm_line_2point_created_ids = 1;
    Text = cell(2,1);
    Text{1} = 'STRING asm_line_2point_created_ids[VIRTUAL]';
    counter = 1;
    
else
    
    Text = cell(1,1);
    counter = 0;
    
end

if (size(Location_1,1) == 3)
	Point_1 = Location_1;
else
    Point_1 = DB_NODES{AT_NODES(Location_1)}.Location;
end

if (size(Location_2,1) == 3)
	Point_2 = Location_2;
else
    Point_2 = DB_NODES{AT_NODES(Location_2)}.Location;
end

counter = counter + 1;

Text{counter} = ['asm_const_line_2point( "' sprintf('%i', db_Next_Curve_Number) '", "' sprintf('[%.10f %.10f %.10f]', Point_1(1), Point_1(2), Point_1(3)) '", "' sprintf('[%.10f %.10f %.10f]', Point_2(1), Point_2(2), Point_2(3)) '", 0, "", 50., 1, asm_line_2point_created_ids )'];
